📪API
Remède provides an API that let you browse the dictionaries databases !
Returns useful information about API and datasets
- Its version
- The available dictionaries
- Their name (
name) - Their unique identifier (hash) (
hash) - Their slug; used to download or search in specific database (
slug) - The number of words in the database (
total) - Does the database respect the Remède JSON Schema (
valid) - Which schema does it follow (
schema) - Database readable size (
size)
- Their name (
Responses
200
Successful Response
application/json
get
/200
Successful Response
No content
Get th list of words with phoneme phoneme. It returns a list of tuples containing the word as the first element, and its document as the second element.
Path parameters
phonemestringRequired
Query parameters
databasestringOptionalDefault:
remedeResponses
200
Successful Response
application/json
422
Validation Error
application/json
get
/phoneme/{phoneme}No content
Returns the word starting with query. Not case and accent sensible !
Path parameters
querystringRequired
Query parameters
pageintegerOptionalDefault:
0databasestringOptionalDefault:
remedeResponses
200
Successful Response
application/json
422
Validation Error
application/json
get
/search/{query}No content
Last updated
Was this helpful?

